#ifndef LOGOUT_HPP_INCLUDED
#define LOGOUT_HPP_INCLUDED

#include "../../../Core/Types/Box.hpp"
#include "../../../Core/Classes/World.hpp"
#include "../../../Core/Classes/Widget.hpp"
#include <cstdint>
#include <vector>

/** @addtogroup GameTabs
* @{ */
class Logout
{
    public:
        static bool IsOpen();
        static bool Open();
        static bool LogoutPlayer();

        static bool IsWorldSwitcherOpen();

        static bool OpenWorldSwitcher();
        static bool OpenWorldSwitcher(bool OpenInventory);

        static bool WorldSwitcherScrollTo(World World);
        static bool WorldSwitcherScrollTo(std::int32_t WorldID);

        static bool SwitchWorld(World World);
        static bool SwitchWorld(std::int32_t WorldID);

        static std::vector<std::int32_t> GetFavoriteWorlds();

        static Widget GetWorldWidget(World World);
        static Widget GetWorldWidget(std::int32_t  WorldID);
};

/** @} */

#endif // LOGOUT_HPP_INCLUDED
